de.dhbwstuttgart.typeinference.assumptions

## Class ClassAssumption

- java.lang.Object
- - de.dhbwstuttgart.typeinference.assumptions.ClassAssumption

-     public class ClassAssumption
      extends java.lang.Object

  Nicht wirklich eine Assumption. Wird benutzt um Typen von Variablen zu verifizieren.
  Author:
    janulrich

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Class` | `classType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassAssumption(Class cls)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `Class` | `getAssumedClass()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### classType

          private Class classType

  - ### Constructor Detail

    - #### ClassAssumption

          public ClassAssumption(Class cls)

  - ### Method Detail

    - #### getAssumedClass

          public Class getAssumedClass()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`